# -*- coding: utf-8 -*-
import law
import luigi
import logging

from analysis.tasks.Absolute import Absolute
from analysis.tasks.KfacComparison import KfacComparison
from analysis.tasks.MergedGridClosure import MergedGridClosure
from analysis.tasks.MultiGridClosure import MultiGridClosure
from analysis.tasks.PdfUncertainty import PdfUncertainty
from analysis.tasks.PlotRuntime import PlotRuntime
from analysis.tasks.PlotVegasGrids import PlotVegasGrids
from analysis.tasks.ScaleUncertainty import ScaleUncertainty
from analysis.tasks.SingleGridClosure import SingleGridClosure
from analysis.tasks.StatUncertainty import StatUncertainty


class AllPlots(law.WrapperTask):
    plots_dir = luigi.Parameter(default='plots')

    def requires(self):
        return {
#            'plotvegasgrids': PlotVegasGrids.req(self),
            'plotruntime': PlotRuntime.req(self),
            'singlegridclosure': SingleGridClosure.req(self),
            'multigridclosure': MultiGridClosure.req(self),
            'mergedgridclosure': MergedGridClosure.req(self),
            'statuncertainty': StatUncertainty.req(self),
            'absolute': Absolute.req(self),
            'kfaccomparison': KfacComparison.req(self),
            'scaleuncertainty': ScaleUncertainty.req(self),
            'pdfuncertainty': PdfUncertainty.req(self),
#            'datacomparison': DataComparison.req(self),
        }
